org.springframework.data.util

## Class AnnotatedTypeScanner

- java.lang.Object
- - org.springframework.data.util.AnnotatedTypeScanner

All Implemented Interfaces:
  Aware, EnvironmentAware, ResourceLoaderAware

    public class AnnotatedTypeScanner
    extends Object
    implements ResourceLoaderAware, EnvironmentAware

Scanner to find types with annotations on the classpath.

Author:
  Oliver Gierke, Christoph Strobl

### Constructor Summary

Constructors
Constructor and Description
`AnnotatedTypeScanner(boolean considerInterfaces, Class<? extends Annotation>... annotationTypes)` Creates a new `AnnotatedTypeScanner` for the given annotation types.
`AnnotatedTypeScanner(Class<? extends Annotation>... annotationTypes)` Creates a new `AnnotatedTypeScanner` for the given annotation types.

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<Class<?>>` `findTypes(Iterable<String> basePackages)`
`Set<Class<?>>` `findTypes(String... basePackages)`
`void` `setEnvironment(Environment environment)`
`void` `setResourceLoader(ResourceLoader resourceLoader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnotatedTypeScanner

    @SafeVarargs
    public AnnotatedTypeScanner(Class<? extends Annotation>... annotationTypes)

Creates a new `AnnotatedTypeScanner` for the given annotation types.

Parameters:
  `annotationTypes` - the annotation types to scan for.

#### AnnotatedTypeScanner

    @SafeVarargs
    public AnnotatedTypeScanner(boolean considerInterfaces,
                                             Class<? extends Annotation>... annotationTypes)

Creates a new `AnnotatedTypeScanner` for the given annotation types.

Parameters:
  `considerInterfaces` - whether to consider interfaces as well.
  `annotationTypes` - the annotations to scan for.

### Method Detail

#### setResourceLoader

    public void setResourceLoader(ResourceLoader resourceLoader)

Specified by:
  `setResourceLoader` in interface `ResourceLoaderAware`

#### setEnvironment

    public void setEnvironment(Environment environment)

Specified by:
  `setEnvironment` in interface `EnvironmentAware`

#### findTypes

    public Set<Class<?>> findTypes(String... basePackages)

#### findTypes

    public Set<Class<?>> findTypes(Iterable<String> basePackages)